Bulk update
curl --request PATCH \
--url https://api.modem.dev/v1/people/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"people": [
{
"personId": "<string>",
"avatarUrl": "<string>",
"connections": {
"github": "<string>",
"linkedin": "<string>",
"phone": "<string>",
"title": "<string>",
"twitter": "<string>",
"website": "<string>"
},
"description": "<string>",
"displayName": "<string>",
"isVip": true,
"primaryEmail": "jsmith@example.com"
}
]
}
'import requests
url = "https://api.modem.dev/v1/people/bulk"
payload = { "people": [
{
"personId": "<string>",
"avatarUrl": "<string>",
"connections": {
"github": "<string>",
"linkedin": "<string>",
"phone": "<string>",
"title": "<string>",
"twitter": "<string>",
"website": "<string>"
},
"description": "<string>",
"displayName": "<string>",
"isVip": True,
"primaryEmail": "jsmith@example.com"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
people: [
{
personId: '<string>',
avatarUrl: '<string>',
connections: {
github: '<string>',
linkedin: '<string>',
phone: '<string>',
title: '<string>',
twitter: '<string>',
website: '<string>'
},
description: '<string>',
displayName: '<string>',
isVip: true,
primaryEmail: 'jsmith@example.com'
}
]
})
};
fetch('https://api.modem.dev/v1/people/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"personId": "<string>",
"success": true,
"data": {
"avatarUrl": "<string>",
"connections": {
"github": "<string>",
"linkedin": "<string>",
"phone": "<string>",
"title": "<string>",
"twitter": "<string>",
"website": "<string>"
},
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"isVip": true,
"primaryEmail": "jsmith@example.com"
},
"error": "<string>"
}
]
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}{
"code": "<string>",
"defined": true,
"message": "<string>",
"status": 123,
"data": "<unknown>"
}People
Bulk update
Batch endpoint: update fields on one or more people (displayName, avatarUrl, description, isVip, primaryEmail, connections). Supports partial success - each person is updated independently. Use the single-resource PATCH /people/ for one person.
PATCH
/
people
/
bulk
Bulk update
Was this page helpful?
⌘I